package com.zdqz.data.mapper;

import java.util.List;
import com.zdqz.data.domain.DataNyjy;

/**
 * 耐药基因耐药药品、敏感药品管理Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
public interface DataNyjyMapper 
{
    /**
     * 查询耐药基因耐药药品、敏感药品管理
     * 
     * @param id 耐药基因耐药药品、敏感药品管理主键
     * @return 耐药基因耐药药品、敏感药品管理
     */
    public DataNyjy selectDataNyjyById(Long id);

    /**
     * 查询耐药基因耐药药品、敏感药品管理列表
     * 
     * @param dataNyjy 耐药基因耐药药品、敏感药品管理
     * @return 耐药基因耐药药品、敏感药品管理集合
     */
    public List<DataNyjy> selectDataNyjyList(DataNyjy dataNyjy);

    /**
     * 新增耐药基因耐药药品、敏感药品管理
     * 
     * @param dataNyjy 耐药基因耐药药品、敏感药品管理
     * @return 结果
     */
    public int insertDataNyjy(DataNyjy dataNyjy);

    /**
     * 修改耐药基因耐药药品、敏感药品管理
     * 
     * @param dataNyjy 耐药基因耐药药品、敏感药品管理
     * @return 结果
     */
    public int updateDataNyjy(DataNyjy dataNyjy);

    /**
     * 删除耐药基因耐药药品、敏感药品管理
     * 
     * @param id 耐药基因耐药药品、敏感药品管理主键
     * @return 结果
     */
    public int deleteDataNyjyById(Long id);

    /**
     * 批量删除耐药基因耐药药品、敏感药品管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataNyjyByIds(Long[] ids);
}
