package com.zdqz.data.service;

import java.util.List;
import com.zdqz.data.domain.DataDljy;

/**
 * 毒力基因耐药药品、敏感药品管理Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
public interface IDataDljyService 
{
    /**
     * 查询毒力基因耐药药品、敏感药品管理
     * 
     * @param id 毒力基因耐药药品、敏感药品管理主键
     * @return 毒力基因耐药药品、敏感药品管理
     */
    public DataDljy selectDataDljyById(Long id);

    /**
     * 查询毒力基因耐药药品、敏感药品管理列表
     * 
     * @param dataDljy 毒力基因耐药药品、敏感药品管理
     * @return 毒力基因耐药药品、敏感药品管理集合
     */
    public List<DataDljy> selectDataDljyList(DataDljy dataDljy);

    /**
     * 新增毒力基因耐药药品、敏感药品管理
     * 
     * @param dataDljy 毒力基因耐药药品、敏感药品管理
     * @return 结果
     */
    public int insertDataDljy(DataDljy dataDljy);

    /**
     * 修改毒力基因耐药药品、敏感药品管理
     * 
     * @param dataDljy 毒力基因耐药药品、敏感药品管理
     * @return 结果
     */
    public int updateDataDljy(DataDljy dataDljy);

    /**
     * 批量删除毒力基因耐药药品、敏感药品管理
     * 
     * @param ids 需要删除的毒力基因耐药药品、敏感药品管理主键集合
     * @return 结果
     */
    public int deleteDataDljyByIds(Long[] ids);

    /**
     * 删除毒力基因耐药药品、敏感药品管理信息
     * 
     * @param id 毒力基因耐药药品、敏感药品管理主键
     * @return 结果
     */
    public int deleteDataDljyById(Long id);
}
