package com.zdqz.data.service.impl;

import java.util.List;
import com.zdqz.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zdqz.data.mapper.DataDljyMapper;
import com.zdqz.data.domain.DataDljy;
import com.zdqz.data.service.IDataDljyService;

/**
 * 毒力基因耐药药品、敏感药品管理Service业务层处理
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
@Service
public class DataDljyServiceImpl implements IDataDljyService 
{
    @Autowired
    private DataDljyMapper dataDljyMapper;

    /**
     * 查询毒力基因耐药药品、敏感药品管理
     * 
     * @param id 毒力基因耐药药品、敏感药品管理主键
     * @return 毒力基因耐药药品、敏感药品管理
     */
    @Override
    public DataDljy selectDataDljyById(Long id)
    {
        return dataDljyMapper.selectDataDljyById(id);
    }

    /**
     * 查询毒力基因耐药药品、敏感药品管理列表
     * 
     * @param dataDljy 毒力基因耐药药品、敏感药品管理
     * @return 毒力基因耐药药品、敏感药品管理
     */
    @Override
    public List<DataDljy> selectDataDljyList(DataDljy dataDljy)
    {
        return dataDljyMapper.selectDataDljyList(dataDljy);
    }

    /**
     * 新增毒力基因耐药药品、敏感药品管理
     * 
     * @param dataDljy 毒力基因耐药药品、敏感药品管理
     * @return 结果
     */
    @Override
    public int insertDataDljy(DataDljy dataDljy)
    {
        dataDljy.setCreateTime(DateUtils.getNowDate());
        return dataDljyMapper.insertDataDljy(dataDljy);
    }

    /**
     * 修改毒力基因耐药药品、敏感药品管理
     * 
     * @param dataDljy 毒力基因耐药药品、敏感药品管理
     * @return 结果
     */
    @Override
    public int updateDataDljy(DataDljy dataDljy)
    {
        dataDljy.setUpdateTime(DateUtils.getNowDate());
        return dataDljyMapper.updateDataDljy(dataDljy);
    }

    /**
     * 批量删除毒力基因耐药药品、敏感药品管理
     * 
     * @param ids 需要删除的毒力基因耐药药品、敏感药品管理主键
     * @return 结果
     */
    @Override
    public int deleteDataDljyByIds(Long[] ids)
    {
        return dataDljyMapper.deleteDataDljyByIds(ids);
    }

    /**
     * 删除毒力基因耐药药品、敏感药品管理信息
     * 
     * @param id 毒力基因耐药药品、敏感药品管理主键
     * @return 结果
     */
    @Override
    public int deleteDataDljyById(Long id)
    {
        return dataDljyMapper.deleteDataDljyById(id);
    }
}
