package com.zdqz.data.service.impl;

import java.util.List;
import com.zdqz.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zdqz.data.mapper.DataNyjyMapper;
import com.zdqz.data.domain.DataNyjy;
import com.zdqz.data.service.IDataNyjyService;

/**
 * 耐药基因耐药药品、敏感药品管理Service业务层处理
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
@Service
public class DataNyjyServiceImpl implements IDataNyjyService 
{
    @Autowired
    private DataNyjyMapper dataNyjyMapper;

    /**
     * 查询耐药基因耐药药品、敏感药品管理
     * 
     * @param id 耐药基因耐药药品、敏感药品管理主键
     * @return 耐药基因耐药药品、敏感药品管理
     */
    @Override
    public DataNyjy selectDataNyjyById(Long id)
    {
        return dataNyjyMapper.selectDataNyjyById(id);
    }

    /**
     * 查询耐药基因耐药药品、敏感药品管理列表
     * 
     * @param dataNyjy 耐药基因耐药药品、敏感药品管理
     * @return 耐药基因耐药药品、敏感药品管理
     */
    @Override
    public List<DataNyjy> selectDataNyjyList(DataNyjy dataNyjy)
    {
        return dataNyjyMapper.selectDataNyjyList(dataNyjy);
    }

    /**
     * 新增耐药基因耐药药品、敏感药品管理
     * 
     * @param dataNyjy 耐药基因耐药药品、敏感药品管理
     * @return 结果
     */
    @Override
    public int insertDataNyjy(DataNyjy dataNyjy)
    {
        dataNyjy.setCreateTime(DateUtils.getNowDate());
        return dataNyjyMapper.insertDataNyjy(dataNyjy);
    }

    /**
     * 修改耐药基因耐药药品、敏感药品管理
     * 
     * @param dataNyjy 耐药基因耐药药品、敏感药品管理
     * @return 结果
     */
    @Override
    public int updateDataNyjy(DataNyjy dataNyjy)
    {
        dataNyjy.setUpdateTime(DateUtils.getNowDate());
        return dataNyjyMapper.updateDataNyjy(dataNyjy);
    }

    /**
     * 批量删除耐药基因耐药药品、敏感药品管理
     * 
     * @param ids 需要删除的耐药基因耐药药品、敏感药品管理主键
     * @return 结果
     */
    @Override
    public int deleteDataNyjyByIds(Long[] ids)
    {
        return dataNyjyMapper.deleteDataNyjyByIds(ids);
    }

    /**
     * 删除耐药基因耐药药品、敏感药品管理信息
     * 
     * @param id 耐药基因耐药药品、敏感药品管理主键
     * @return 结果
     */
    @Override
    public int deleteDataNyjyById(Long id)
    {
        return dataNyjyMapper.deleteDataNyjyById(id);
    }
}
