package com.zdqz.sample.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zdqz.common.annotation.Excel;
import com.zdqz.common.core.domain.BaseEntity;

/**
 * 样品管理对象 sample_info
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public class SampleInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 实验编号 */
    @Excel(name = "实验编号")
    private String experimentId;

    /** 患者编号 */
    @Excel(name = "患者编号")
    private Long patientId;

    /** 患者电话 */
    @Excel(name = "患者电话")
    private String patientPhone;

    /** 样本类型 */
    @Excel(name = "样本类型")
    private Long sampleTypeId;

    /** 送检医院 */
    @Excel(name = "送检医院")
    private Long sampleHospitalId;

    /** 送检科室 */
    @Excel(name = "送检科室")
    private Long sampleDeptId;

    /** 医生名字 */
    @Excel(name = "医生名字")
    private String doctorName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setExperimentId(String experimentId) 
    {
        this.experimentId = experimentId;
    }

    public String getExperimentId() 
    {
        return experimentId;
    }

    public void setPatientId(Long patientId) 
    {
        this.patientId = patientId;
    }

    public Long getPatientId() 
    {
        return patientId;
    }

    public void setPatientPhone(String patientPhone) 
    {
        this.patientPhone = patientPhone;
    }

    public String getPatientPhone() 
    {
        return patientPhone;
    }

    public void setSampleTypeId(Long sampleTypeId) 
    {
        this.sampleTypeId = sampleTypeId;
    }

    public Long getSampleTypeId() 
    {
        return sampleTypeId;
    }

    public void setSampleHospitalId(Long sampleHospitalId) 
    {
        this.sampleHospitalId = sampleHospitalId;
    }

    public Long getSampleHospitalId() 
    {
        return sampleHospitalId;
    }

    public void setSampleDeptId(Long sampleDeptId) 
    {
        this.sampleDeptId = sampleDeptId;
    }

    public Long getSampleDeptId() 
    {
        return sampleDeptId;
    }

    public void setDoctorName(String doctorName) 
    {
        this.doctorName = doctorName;
    }

    public String getDoctorName() 
    {
        return doctorName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("experimentId", getExperimentId())
            .append("patientId", getPatientId())
            .append("patientPhone", getPatientPhone())
            .append("sampleTypeId", getSampleTypeId())
            .append("sampleHospitalId", getSampleHospitalId())
            .append("sampleDeptId", getSampleDeptId())
            .append("doctorName", getDoctorName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
