package com.zdqz.sample.mapper;

import java.util.List;
import com.zdqz.sample.domain.SampleDept;

/**
 * 送检科室Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface SampleDeptMapper 
{
    /**
     * 查询送检科室
     * 
     * @param id 送检科室主键
     * @return 送检科室
     */
    public SampleDept selectSampleDeptById(Long id);

    /**
     * 查询送检科室列表
     * 
     * @param sampleDept 送检科室
     * @return 送检科室集合
     */
    public List<SampleDept> selectSampleDeptList(SampleDept sampleDept);

    /**
     * 新增送检科室
     * 
     * @param sampleDept 送检科室
     * @return 结果
     */
    public int insertSampleDept(SampleDept sampleDept);

    /**
     * 修改送检科室
     * 
     * @param sampleDept 送检科室
     * @return 结果
     */
    public int updateSampleDept(SampleDept sampleDept);

    /**
     * 删除送检科室
     * 
     * @param id 送检科室主键
     * @return 结果
     */
    public int deleteSampleDeptById(Long id);

    /**
     * 批量删除送检科室
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSampleDeptByIds(Long[] ids);
}
