package com.zdqz.sample.mapper;

import java.util.List;
import com.zdqz.sample.domain.SamplePatient;

/**
 * 样品患者信息Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface SamplePatientMapper 
{
    /**
     * 查询样品患者信息
     * 
     * @param id 样品患者信息主键
     * @return 样品患者信息
     */
    public SamplePatient selectSamplePatientById(Long id);

    /**
     * 查询样品患者信息列表
     * 
     * @param samplePatient 样品患者信息
     * @return 样品患者信息集合
     */
    public List<SamplePatient> selectSamplePatientList(SamplePatient samplePatient);

    /**
     * 新增样品患者信息
     * 
     * @param samplePatient 样品患者信息
     * @return 结果
     */
    public int insertSamplePatient(SamplePatient samplePatient);

    /**
     * 修改样品患者信息
     * 
     * @param samplePatient 样品患者信息
     * @return 结果
     */
    public int updateSamplePatient(SamplePatient samplePatient);

    /**
     * 删除样品患者信息
     * 
     * @param id 样品患者信息主键
     * @return 结果
     */
    public int deleteSamplePatientById(Long id);

    /**
     * 批量删除样品患者信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSamplePatientByIds(Long[] ids);
}
