package com.zdqz.sample.service;

import java.util.List;
import com.zdqz.sample.domain.SampleInfo;

/**
 * 样品管理Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface ISampleInfoService 
{
    /**
     * 查询样品管理
     * 
     * @param id 样品管理主键
     * @return 样品管理
     */
    public SampleInfo selectSampleInfoById(Long id);

    /**
     * 查询样品管理列表
     * 
     * @param sampleInfo 样品管理
     * @return 样品管理集合
     */
    public List<SampleInfo> selectSampleInfoList(SampleInfo sampleInfo);

    /**
     * 新增样品管理
     * 
     * @param sampleInfo 样品管理
     * @return 结果
     */
    public int insertSampleInfo(SampleInfo sampleInfo);

    /**
     * 修改样品管理
     * 
     * @param sampleInfo 样品管理
     * @return 结果
     */
    public int updateSampleInfo(SampleInfo sampleInfo);

    /**
     * 批量删除样品管理
     * 
     * @param ids 需要删除的样品管理主键集合
     * @return 结果
     */
    public int deleteSampleInfoByIds(Long[] ids);

    /**
     * 删除样品管理信息
     * 
     * @param id 样品管理主键
     * @return 结果
     */
    public int deleteSampleInfoById(Long id);
}
