package com.zdqz.sample.service;

import java.util.List;
import com.zdqz.sample.domain.SampleType;

/**
 * 样本类型Service接口
 * 
 * @author 攻心小虫
 * @date 2025-06-04
 */
public interface ISampleTypeService 
{
    /**
     * 查询样本类型
     * 
     * @param id 样本类型主键
     * @return 样本类型
     */
    public SampleType selectSampleTypeById(Long id);

    /**
     * 查询样本类型列表
     * 
     * @param sampleType 样本类型
     * @return 样本类型集合
     */
    public List<SampleType> selectSampleTypeList(SampleType sampleType);

    /**
     * 新增样本类型
     * 
     * @param sampleType 样本类型
     * @return 结果
     */
    public int insertSampleType(SampleType sampleType);

    /**
     * 修改样本类型
     * 
     * @param sampleType 样本类型
     * @return 结果
     */
    public int updateSampleType(SampleType sampleType);

    /**
     * 批量删除样本类型
     * 
     * @param ids 需要删除的样本类型主键集合
     * @return 结果
     */
    public int deleteSampleTypeByIds(Long[] ids);

    /**
     * 删除样本类型信息
     * 
     * @param id 样本类型主键
     * @return 结果
     */
    public int deleteSampleTypeById(Long id);
}
