package com.zdqz.system.mapper;

import java.util.List;
import com.zdqz.system.domain.SysArea;

/**
 * 世界国家区域Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
public interface SysAreaMapper 
{
    /**
     * 查询世界国家区域
     * 
     * @param areaId 世界国家区域主键
     * @return 世界国家区域
     */
    public SysArea selectSysAreaByAreaId(String areaId);

    /**
     * 查询世界国家区域列表
     * 
     * @param sysArea 世界国家区域
     * @return 世界国家区域集合
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * 新增世界国家区域
     * 
     * @param sysArea 世界国家区域
     * @return 结果
     */
    public int insertSysArea(SysArea sysArea);

    /**
     * 修改世界国家区域
     * 
     * @param sysArea 世界国家区域
     * @return 结果
     */
    public int updateSysArea(SysArea sysArea);

    /**
     * 删除世界国家区域
     * 
     * @param areaId 世界国家区域主键
     * @return 结果
     */
    public int deleteSysAreaByAreaId(String areaId);

    /**
     * 批量删除世界国家区域
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAreaByAreaIds(String[] areaIds);
}
