package com.zdqz.system.mapper;

import java.util.List;
import com.zdqz.system.domain.SysCnarea;

/**
 * 中国行政区域Mapper接口
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
public interface SysCnareaMapper 
{
    /**
     * 查询中国行政区域
     * 
     * @param id 中国行政区域主键
     * @return 中国行政区域
     */
    public SysCnarea selectSysCnareaById(String id);

    /**
     * 查询中国行政区域列表
     * 
     * @param sysCnarea 中国行政区域
     * @return 中国行政区域集合
     */
    public List<SysCnarea> selectSysCnareaList(SysCnarea sysCnarea);

    /**
     * 新增中国行政区域
     * 
     * @param sysCnarea 中国行政区域
     * @return 结果
     */
    public int insertSysCnarea(SysCnarea sysCnarea);

    /**
     * 修改中国行政区域
     * 
     * @param sysCnarea 中国行政区域
     * @return 结果
     */
    public int updateSysCnarea(SysCnarea sysCnarea);

    /**
     * 删除中国行政区域
     * 
     * @param id 中国行政区域主键
     * @return 结果
     */
    public int deleteSysCnareaById(String id);

    /**
     * 批量删除中国行政区域
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysCnareaByIds(String[] ids);
}
