package com.zdqz.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zdqz.system.mapper.SysAreaMapper;
import com.zdqz.system.domain.SysArea;
import com.zdqz.system.service.ISysAreaService;

/**
 * 世界国家区域Service业务层处理
 * 
 * @author 攻心小虫
 * @date 2025-06-03
 */
@Service
public class SysAreaServiceImpl implements ISysAreaService 
{
    @Autowired
    private SysAreaMapper sysAreaMapper;

    /**
     * 查询世界国家区域
     * 
     * @param areaId 世界国家区域主键
     * @return 世界国家区域
     */
    @Override
    public SysArea selectSysAreaByAreaId(String areaId)
    {
        return sysAreaMapper.selectSysAreaByAreaId(areaId);
    }

    /**
     * 查询世界国家区域列表
     * 
     * @param sysArea 世界国家区域
     * @return 世界国家区域
     */
    @Override
    public List<SysArea> selectSysAreaList(SysArea sysArea)
    {
        return sysAreaMapper.selectSysAreaList(sysArea);
    }

    /**
     * 新增世界国家区域
     * 
     * @param sysArea 世界国家区域
     * @return 结果
     */
    @Override
    public int insertSysArea(SysArea sysArea)
    {
        return sysAreaMapper.insertSysArea(sysArea);
    }

    /**
     * 修改世界国家区域
     * 
     * @param sysArea 世界国家区域
     * @return 结果
     */
    @Override
    public int updateSysArea(SysArea sysArea)
    {
        return sysAreaMapper.updateSysArea(sysArea);
    }

    /**
     * 批量删除世界国家区域
     * 
     * @param areaIds 需要删除的世界国家区域主键
     * @return 结果
     */
    @Override
    public int deleteSysAreaByAreaIds(String[] areaIds)
    {
        return sysAreaMapper.deleteSysAreaByAreaIds(areaIds);
    }

    /**
     * 删除世界国家区域信息
     * 
     * @param areaId 世界国家区域主键
     * @return 结果
     */
    @Override
    public int deleteSysAreaByAreaId(String areaId)
    {
        return sysAreaMapper.deleteSysAreaByAreaId(areaId);
    }
}
